Bug 115786 - Frequent Evolution Crashes since RH9
Frequent Evolution Crashes since RH9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 00:33 EST by Phil Schaffner
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-20 06:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
BugBuddy Crash Report (4.20 KB, text/plain)
2004-05-27 10:58 EDT, Phil Schaffner
no flags Details
BugBuddy report of crash at startup (3.80 KB, text/plain)
2004-06-21 14:11 EDT, Phil Schaffner
no flags Details
BugBuddy crash attempting to open message (18.57 KB, text/plain)
2004-06-21 14:14 EDT, Phil Schaffner
no flags Details
BugBuddy report of crash starting from icon in KDE (3.87 KB, text/plain)
2004-06-21 14:16 EDT, Phil Schaffner
no flags Details

  None (edit)
Description Phil Schaffner 2004-02-16 00:33:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040214 Firefox/0.8

Description of problem:
Have experienced occasional crashes of evolution over a long period,
but crashes have been much more frequent since FC1.  Often occur when
editing To: or Cc: fields (similar to bug 115308, but not as
repeatable), but have also had crashes of evolution-alarm-notify, or
simply while reading mail as in bugs 106679 or 111981.  Also
experienced crash at startup after upgrade to 1.5 as in 114708.  On an
FC1 installation at work, evolution has lately been locking up the KDE
UI, requiring a switch to a text-mode console and manual kills of
evolution components to get control back.

Upgraded home FC2T1 system to 1.5.4 per advice from Noa Resare in "Re:
FC2 test 1 Qs & Evolution" on the fedora-test-list and have had
excellent stability since (except the minor annoyance that the
capability to click on a link in e-mail and have a browser open the
URL automatically has disappeared).  Rebuilt from his SRPMS.  Now running:

evolution-1.5.4-0.noa.0
evolution-data-server-0.0.7-0.noa.0
gnome-panel-2.5.3.1-3
gtkhtml3-3.1.8-0.noa.0
libgal2-2.1.5-0.noa.0
libsoup-2.1.7-0.noa.0

Please consider upgrading to evolution 1.5.4 and dependencies in FC2.


Version-Release number of selected component (if applicable):
evolution-1.3 through evolution-1.5.3

How reproducible:
Sometimes

Steps to Reproduce:
1. Use evolution
2. Wait for a crash
3.
    

Actual Results:  Increasingly frequent crashes since 1.4

Expected Results:  Stablility

Additional info:

Work system (still problematic): FC1 with all updates.

Home system (now stable) FC2T1 clean custom install with all updates
through 2/15/04, evolution 1.5.4 and dependencies from Noa Resare, old
/home from FC1.
Comment 1 Dave Malcolm 2004-05-24 14:32:03 EDT
1.5.4 was an unstable release of Evolution on the road to Evolution
2.0  So I was reluctant to include 1.5.4 by default in FC2

I've been building the latest 1.5.* packages for FC2 in my yum
repository: http://people.redhat.com/dmalcolm

I'm using these for my day-to-day email at the moment, though the
latest (1.5.8) only came out on Friday, so this hasn't had a great
deal of testing.  Works for me though.

Please file individual bugs into Bugzilla for any remaining problems
you experience in the 1.4 evolution.  Thanks.
Comment 2 Phil Schaffner 2004-05-27 10:58:17 EDT
Created attachment 100634 [details]
BugBuddy Crash Report

Still experiencing frequent crashes of Evolution under FC1.
Comment 3 Phil Schaffner 2004-06-21 14:11:37 EDT
Created attachment 101302 [details]
BugBuddy report of crash at startup

Evolution often crashes/quits unexpectedly on first startup after logging in
from runlevel 3.
Comment 4 Phil Schaffner 2004-06-21 14:14:06 EDT
Created attachment 101303 [details]
BugBuddy crash attempting to open message

Yet another crash - third one today, second reported.
Comment 5 Phil Schaffner 2004-06-21 14:16:14 EDT
Created attachment 101304 [details]
BugBuddy report of crash starting from icon in KDE

Selected icon from task bar - crashed.
Comment 6 Phil Schaffner 2004-10-06 09:55:49 EDT
Evolution quit unexpectedly yet again - FC3T2, evolution-2.0.1-2. 
What additional info do you need to get out of "NEEDINFO" status?
Comment 7 Phil Schaffner 2004-11-30 10:39:44 EST
Have been running evolution-2.0.2-3 on FC2 (FC3 version + dependencies
yum pulled in from FC3), as well as full FC3 version on another
machine, for some weeks.  Has been much more stable, but still have
had (very infrequent) instances of "Evolution quit unexpectedly".
Comment 8 Phil Schaffner 2004-11-30 10:40:50 EST
Changing Version to FC3.
Comment 10 Matthew Miller 2006-07-10 19:02:53 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.